Name:		mspdebug
Version:	0.25
Release:	%mkrel 1
Summary:	Debugger and gdb proxy for MSP430 MCUs
License:	GPLv2+
URL:		http://dlbeer.co.nz/mspdebug/
Group:      Development/Other
Source0:	https://github.com/dlbeer/mspdebug/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:	libusb-devel
BuildRequires:	readline-devel

%description
A a free debugger for use with MSP430 MCUs. It supports FET430UIF,
eZ430, RF2500 and TI Chronos devices. It can be used as a proxy for
gdb or as an independent debugger with support for programming,
disassembly and reverse engineering.

%prep
%setup -qn %{name}-%{version}

%build
# add -DDEBUG_GDB to CFLAGS for gdb debugging output
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" \
     LIBDIR=%{_libdir}

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} INSTALL="install -p" \
     LIBDIR=%{_libdir}

%files
%doc AUTHORS COPYING
%{_bindir}/mspdebug
%{_mandir}/man1/mspdebug.1*
%{_libdir}/mspdebug

%changelog
